package com.cim.idm.wmspackage.receiverequestbatch.management.data;


import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.DataInfo;

import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class MaterialReceiveAct extends FieldAccessor implements DataInfo<MaterialReceiveActKey> {

	private MaterialReceiveActKey key;
	private String receiveActState;
	private Timestamp createTime; 
	private Timestamp receiveTime;
	private String lastEventName;
	private String lastEventTimeKey;
	private Timestamp lastEventTime;
	private String lastEventUser;
	private String lastEventComment;
	private String innerRequestName;
	
	public String getInnerRequestName() {
		return innerRequestName;
	}
	public void setInnerRequestName(String innerRequestName) {
		this.innerRequestName = innerRequestName;
	}

	private String actType;
		
	public MaterialReceiveAct() {
	}

	public MaterialReceiveActKey getKey() {
		return key;
	}

	public void setKey(MaterialReceiveActKey key) {
		this.key = key;
	}

	public String getReceiveActState() {
		return receiveActState;
	}

	public void setReceiveActState(String receiveActState) {
		this.receiveActState = receiveActState;
	}

	public Timestamp getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Timestamp createTime) {
		this.createTime = createTime;
	}

	public Timestamp getReceiveTime() {
		return receiveTime;
	}

	public void setReceiveTime(Timestamp receiveTime) {
		this.receiveTime = receiveTime;
	}

	public String getLastEventName() {
		return lastEventName;
	}

	public void setLastEventName(String lastEventName) {
		this.lastEventName = lastEventName;
	}

	public String getLastEventTimeKey() {
		return lastEventTimeKey;
	}

	public void setLastEventTimeKey(String lastEventTimeKey) {
		this.lastEventTimeKey = lastEventTimeKey;
	}

	public Timestamp getLastEventTime() {
		return lastEventTime;
	}

	public void setLastEventTime(Timestamp lastEventTime) {
		this.lastEventTime = lastEventTime;
	}

	public String getLastEventUser() {
		return lastEventUser;
	}

	public void setLastEventUser(String lastEventUser) {
		this.lastEventUser = lastEventUser;
	}

	public String getLastEventComment() {
		return lastEventComment;
	}

	public void setLastEventComment(String lastEventComment) {
		this.lastEventComment = lastEventComment;
	}

	public String getActType() {
		return actType;
	}

	public void setActType(String actType) {
		this.actType = actType;
	}

	
}
